Subject: Re: [PATCH] net/enc28j60: low power mode

From: Jeff Garzik <[email-masked]>
Date: Wed, 05 Mar 2008 06:13:47 -0500

Claudio Lanconelli wrote:
> Keep enc28j60 chips in low-power mode when they're not in use.
> At typically 120 mA, these chips run hot even when idle; this
> low power mode cuts that power usage by a factor of around 100.
> 
> This version provides a generic routine to poll a register until
> its masked value equals some value ... e.g. bit set or cleared.
> It's basically what the previous wait_phy_ready() did, but this
> version is generalized to support the handshaking needed to
> enter and exit low power mode.
> 
> Signed-off-by: David Brownell <[email-masked]>
> Signed-off-by: Claudio Lanconelli <[email-masked]>

It's a bit silly to create a variable just to store the result of 
msecs_to_jiffies(constant)